Package org.openoffice.da.comp.w2lcommon.tex.tokenizer

# Class CatcodeTable

java.lang.Object
org.openoffice.da.comp.w2lcommon.tex.tokenizer.CatcodeTable

public class CatcodeTable extends Object
This class maintains a mapping from characters to catcodes. In this implementation, non-ascii characters always has the category Catcode.OTHER.

## Constructor Summary

Constructors
Constructor
Description
`CatcodeTable()`
Construct a new `CatcodeTable`, defining catcodes as by INITeX plus the additional catcodes defined by plain TeX

## Method Summary

Modifier and Type
Method
Description
`Catcode`
`get(char c)`
Get the catcode of a character.
`void`
`set(char c, Catcode cc)`
Set the catcode of a character.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CatcodeTable

public CatcodeTable()
Construct a new `CatcodeTable`, defining catcodes as by INITeX plus the additional catcodes defined by plain TeX

## Method Details

### set

public void set(char c, Catcode cc)
Set the catcode of a character. The request is silently ignored for all characters outside the ASCII character set

Parameters:
  `c` - the character
  `cc` - the desired catcode

### get

public Catcode get(char c)
Get the catcode of a character. Characters outside the ASCII character set always have the catcode Catcode.OTHER

Parameters:
  `c` - the character
Returns:
  the current catcode